Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.api
Class CompilationMessage

    java.lang.Object
      org.apache.ode.bpel.compiler.api.CompilationMessage

    public class CompilationMessage

extends java.lang.Object

Data structure representing messages emitted from the compiler. These typically relate to the status of the compilation (e.g. compile errors and the like).

Field Summary
`java.lang.String` | `code` The message/error code for this message.
`static short` | `ERROR` Error message.
`static short` | `INFO` Informational message.
`java.lang.String` | `messageText` Internationalized message text.
`short` | `phase` Compilation phase.
`short` | `severity` The severity severity.
`SourceLocation` | `source` The location in the source that caused this error/message/warning
`static short` | `WARN` Warning message.

Constructor Summary
`CompilationMessage()`

Method Summary
`CompilationMessage` | `setSource(SourceLocation source)`
`java.lang.String` | `toErrorString()` Convert to a human-readable error string.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INFO

    public static final short INFO

  Informational message.

  See Also:
    Constant Field Values

### WARN

    public static final short WARN

  Warning message.

  See Also:
    Constant Field Values

### ERROR

    public static final short ERROR

  Error message.

  See Also:
    Constant Field Values

### phase

    public short phase

  Compilation phase.

### severity

    public short severity

  The severity severity.

### code

    public java.lang.String code

  The message/error code for this message.

### messageText

    public java.lang.String messageText

  Internationalized message text.

### source

    public SourceLocation source

  The location in the source that caused this error/message/warning

Constructor Detail

### CompilationMessage

    public CompilationMessage()

Method Detail

### setSource

    public CompilationMessage setSource(SourceLocation source)

### toErrorString

    public java.lang.String toErrorString()

  Convert to a human-readable error string.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD